import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.Scanner;

public class ClientHandler implements Runnable {
	private Socket socket;
	private Server server;
	private PrintWriter dataOutputStream;
	private Scanner dataInputStream;

	public ClientHandler(Socket client, Server server) throws Exception {
		if (client == null) {
			System.out.println("client can't be null");
		}
		this.socket = client;
		this.server = server;
		dataInputStream = new Scanner(client.getInputStream());
		dataOutputStream = new PrintWriter(client.getOutputStream(),true);

	}

	public void handleIncomingMessages(String message) {
		for(ClientHandler clientHandler : server.clients)
			clientHandler.dataOutputStream.println(message);
	}
	@Override
	public void run() {
		while(true) {
			try {
				String input = dataInputStream.nextLine();
				if(input == "exit") {
					break;
				}
				handleIncomingMessages(input);
			}
			catch(Exception e) {
				e.printStackTrace();
			}
		}
	}



}
